Unable to resolve module `@babel/runtime/helpers/interopRequireDefault` React Native Error Fix

Today, I was trying to run a new react native project with some third-party libraries installed. When I executed react-native run-android command I got the following error.

Unable to resolve module `@babel/runtime/helpers/interopRequireDefault` from App.js: @babel/runtime/hepers/interopRequireDefault could not be found within the project.

Following is the screenshot of the react native error.

babel runtime helpers react native error

As mentioned in the error message, it was an error related to babel. A quick Google search helped me to fix the app. As given in this react native issue, I closed the metro bundler instance terminal and ran the following command.

npm add @babel/runtime

I ran the react native project again and the error was gone.

I hope the solution provided here will help you too!

Leave a Reply

%d bloggers like this: